Bug 1619096 - IBus emoji does not work with Firefox
Summary: IBus emoji does not work with Firefox
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ibus
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: fujiwara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-08-20 05:19 UTC by Pravin Satpute
Modified: 2018-11-27 17:11 UTC (History)
4 users (show)

Fixed In Version: ibus-1.5.19-8.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-27 02:27:04 UTC


Attachments (Terms of Use)

Description Pravin Satpute 2018-08-20 05:19:51 UTC
Description of problem:
IBus emoji does not work with Firefox. Most of the time, i need to input it first in gedit and then copy paste from gedit to Firefox

Version-Release number of selected component (if applicable):
ibus-1.5.18-7.fc28.x86_64
firefox-61.0.2-1.fc28.x86_64

How reproducible:
Everytime.

Steps to Reproduce:
1. Open https://bugzilla.redhat.com/show_bug.cgi?id=1617978 in Firefox. 
2. Press Control+Shift+E 
3. Type "thumb"  
4. Click enter

Actual results:
👍 emoji does not get entered.

Expected results:
It should get entered. 

Additional info:
It works in Chrome as expected.

Feel free to move to appropriate components, if required.

Comment 1 fujiwara 2018-08-20 10:24:39 UTC
Since firefox and chrome have several input focuses in the GUI, ibus sometimes fails to get the input focus after the emoji dialog is closed.

If you failed to output the character,

you can type Tab key to change the current input focus to another one and type Shift-Tab key to bring back the input focus and type Ctrl-Shift-e and probably you can output the character.

or

The Emojier has a shortcut key of Ctrl-Shift-c to copy the selected emoji in the dialog and you can paste the character on firefox.

This is a known issue for me but now I'm thinking to update Fedora 28 IBus to 1.5.19 and probably I won't fix this bug.

1.5.19 is available in copr f28 and actually it has been built in koji too.
Probably I'd integrate 1.5.19 to f28 after f29 is released.

Thanks.

Comment 3 Pravin Satpute 2018-08-21 08:15:11 UTC
Control+Shift+c feature was unknown to me.  Suggesting 1 feature/RFE.

1. User will hit control+shift+e
2. Type emoji work. 
3. Press Enter.  Here, can we have two action. 
   a. Emoji will get entered in active input focus
   b. It will also get copied into buffer.  (Suggested feature)

"B"  will be helpful, if it does not get entered properly, user can simply press control+v and he will get emoji.  

Does this sound interesting feature? or will create some issues?

Feel free to close as a Wont-fix, will reopen or file new issues against F29, if it does not work.

Comment 4 Petr Šabata 2018-09-13 21:40:43 UTC
(In reply to Pravin Satpute from comment #3)
> Does this sound interesting feature? or will create some issues?

I wouldn't want my clipboard to be overwritten everytime I try to input emoji.

Comment 5 Pravin Satpute 2018-09-14 05:48:01 UTC
@Petr good point. I did not considered it.  Proposed feature introducing regression, so not good to proceed with it.

Comment 6 fujiwara 2018-09-14 05:56:14 UTC
I think the left issues will be fixed after f29 ibus is backported to f28 as I noted.

Comment 7 Fedora Update System 2018-10-29 11:31:44 UTC
ibus-1.5.19-6.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-998a7b6fc3

Comment 8 Fedora Update System 2018-10-31 11:21:58 UTC
ibus-1.5.19-7.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-998a7b6fc3

Comment 9 Fedora Update System 2018-10-31 17:30:27 UTC
ibus-1.5.19-7.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-998a7b6fc3

Comment 10 Fedora Update System 2018-11-06 12:56:05 UTC
ibus-1.5.19-8.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-998a7b6fc3

Comment 11 Fedora Update System 2018-11-07 04:24:15 UTC
ibus-1.5.19-8.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-998a7b6fc3

Comment 12 Fedora Update System 2018-11-27 02:27:04 UTC
ibus-1.5.19-8.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2018-11-27 17:11:40 UTC
ibus-1.5.19-8.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.